PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dgecfi | ( | int | m,
|  | int | n,
|  | double * | A,
|  | PLASMA_enum | f_in,
|  | int | imb,
|  | int | inb,
|  | PLASMA_enum | f_out,
|  | int | omb,
|  | int | onb
| ) |  |

PLASMA_dgecfi convert the matrice A in place from format f_in to format f_out

Parameters

  [in] | m | Number of rows of matrix A
  [in] | n | Number of columns of matrix A
  [in,out] | A | Matrix of size m*n
  [in] | f_in | Original layout of the matrix A. Must be part of: PlasmaCM: if A is stored in Column Major, PlasmaRM: if A is stored in Row Major, PlasmaCCRB: if A is stored in Column Column Rectangular Block layout, PlasmaCRRB: if A is stored in Column Row Rectangular Block layout, PlasmaRCRB: if A is stored in Row Column Rectangular Block layout, PlasmaRRRB: if A is stored in Row Row Rectangular Block layout; where the first Column/Row stand for the order in which tiles are sorted, and the secon Column/Row stand for the layout inside each tile.
  [in] | imb | Number of rows of each block in original format
  [in] | inb | Number of columns of each block in original format
  [in] | f_out | Format requested for the matrix A. Must be part of (PlasmaCM, PlasmaRM, PlasmaCCRB, PlasmaCRRB, PlasmaRCRB, PlasmaRRRB)
  [in] | omb | Number of rows of each block in requested format
  [in] | onb | Number of columns of each block in requested format

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_dgecfi_Async